Subject: cycads

From: [email-masked] (Wayne Hughes)
Date: 4 Mar 1995 22:13:29 GMT

Does anyone know of a business selling a wide range of cycad
  seeds, preferably mail order?  I'm particularly interested
  in the cycads forming ovulate sporophylls, as well as cones.

  Thanks
  Wayne